% ConvParSerCompl = [0 1 2 3];
% Drive_cycle = [1 2 4 7];
% Veh_type =[1 2 3 4];
% Fuel=[1 2];
clear all
cases=[1 1 1 0; 1 1 1 1; 1 1 1 2; 1 1 1 3; 1 2 1 0; 1 2 1 1; 1 2 1 2; 1 2 1 3];
clear FCresult
for casecount=1:length(cases(:,1))
    Vehicle=cases(casecount,1);
    Drive_cycle=cases(casecount,2);
    Fuel=cases(casecount,3);
    Type = cases(casecount,4);
    % EMvsICE = cases(casecount,5);
    if Type==0,
        cd ..\Conventional
        InitiateCONVENTIONAL
        sim('Conventional')
        cd ..\Complex
    elseif Type==1
        cd ..\Parallel
        InitiateParallel
        sim('Parallel')
        cd ..\Complex
    elseif Type==2
        cd ..\Serie
        InitiateSerie
        sim('Serie')
        cd ..\Complex
    elseif Type==3
        InitiateComplex
        sim('Complex')
    end
    FCresult(casecount,1)=FC(length(FC));
end

figure(1)
clf
bar(FCresult(:,1))
ylabel('Fuel consumption [l/10 km]')