clear all

load ..\DriveCycles\nedc;
load ..\DriveCycles\us06;
load ..\DriveCycles\london159;
load ..\DriveCycles\cbr85;
load ..\DriveCycles\Distr1;
load ..\DriveCycles\LongHaul1;
load ..\DriveCycles\LongHaul2;
load ..\DriveCycles\LongHaul3;
load ..\DriveCycles\LongHaul4;

load ..\DriveCycles\WLTC1;
load ..\DriveCycles\WLTC2;
load ..\DriveCycles\WLTC3;

figure(1)
clf
subplot(2,2,1)
plot(nedc(:,1)/3600,nedc(:,2)*3.6)
ylabel('Speed [km/h]')
title('nedc')
grid
subplot(2,2,2)
plot(nedc(:,3)/1000,nedc(:,2)*3.6)
ylabel('Speed [km/h]')
title('nedc')
grid
subplot(2,2,3)
plot(nedc(:,1)/3600,nedc(:,4))
ylabel('Altitude [km]')
xlabel('Time [h]')
grid
subplot(2,2,4)
plot(nedc(:,3)/1000,nedc(:,4))
ylabel('Altitude [km]')
xlabel('Distance [km]')
grid
set(gcf,'Position',[500 100 889 500])

figure(2)
clf
subplot(2,2,1)
plot(us06(:,1)/3600,us06(:,2)*3.6)
ylabel('Speed [km/h]')
title('us06')
grid
subplot(2,2,2)
plot(us06(:,3)/1000,us06(:,2)*3.6)
ylabel('Speed [km/h]')
title('usO6')
grid
subplot(2,2,3)
plot(us06(:,1)/3600,us06(:,4))
ylabel('Altitude [km]')
xlabel('Time [h]')
grid
subplot(2,2,4)
plot(us06(:,3)/1000,us06(:,4))
ylabel('Altitude [m]')
xlabel('Distance [km]')
grid
set(gcf,'Position',[490 100 889 500])

figure(3)
clf
subplot(2,2,1)
plot(london159(:,1)/3600,london159(:,2)*3.6)
ylabel('Speed [km/h]')
title('london159')
grid
subplot(2,2,2)
plot(london159(:,3)/1000,london159(:,2)*3.6)
ylabel('Speed [km/h]')
title('london159')
grid
subplot(2,2,3)
plot(london159(:,1)/3600,london159(:,4))
ylabel('Altitude [m]')
xlabel('Time [h]')
grid
subplot(2,2,4)
plot(london159(:,3)/1000,london159(:,4))
ylabel('Altitude [m]')
xlabel('Distance [km]')
grid
set(gcf,'Position',[480 100 889 500])

figure(4)
clf
subplot(2,2,1)
plot(cbr85(:,1)/3600,cbr85(:,2)*3.6)
ylabel('Speed [km/h]')
title('cbr85')
grid
subplot(2,2,2)
plot(cbr85(:,3)/1000,cbr85(:,2)*3.6)
ylabel('Speed [km/h]')
title('cbr85')
grid
subplot(2,2,3)
plot(cbr85(:,1)/3600,cbr85(:,4))
ylabel('Altitude [m]')
xlabel('Time [h]')
grid
subplot(2,2,4)
plot(cbr85(:,3)/1000,cbr85(:,4))
ylabel('Altitude [m]')
xlabel('Distance [km]')
grid
set(gcf,'Position',[470 100 889 500])

figure(5)
clf
subplot(2,2,1)
plot(Distr1(:,1)/3600,Distr1(:,2)*3.6)
ylabel('Speed [km/h]')
title('Distr1')
grid
subplot(2,2,2)
plot(Distr1(:,3)/1000,Distr1(:,2)*3.6)
ylabel('Speed [km/h]')
title('Distr1')
grid
subplot(2,2,3)
plot(Distr1(:,1)/3600,Distr1(:,4))
ylabel('Altitude [m]')
xlabel('Time [h]')
grid
subplot(2,2,4)
plot(Distr1(:,3)/1000,Distr1(:,4))
ylabel('Altitude [m]')
xlabel('Distance [km]')
grid
set(gcf,'Position',[460 100 889 500])

figure(6)
clf
subplot(2,2,1)
plot(LongHaul3(:,1)/3600,LongHaul3(:,2)*3.6)
ylabel('Speed [km/h]')
title('LongHaul3')
grid
subplot(2,2,2)
plot(LongHaul3(:,3)/1000,LongHaul3(:,2)*3.6)
ylabel('Speed [km/h]')
title('LongHaul3')
grid
subplot(2,2,3)
plot(LongHaul3(:,1)/3600,LongHaul3(:,4))
ylabel('Altitude [m]')
xlabel('Time [h]')
grid
subplot(2,2,4)
plot(LongHaul3(:,3)/1000,LongHaul3(:,4))
ylabel('Altitude [m]')
xlabel('Distance [km]')
grid
set(gcf,'Position',[450 100 889 500])

figure(7)
clf
subplot(2,2,1)
plot(WLTC1(:,1)/3600,WLTC1(:,2)*3.6)
ylabel('Speed [km/h]')
title('WLTC1')
grid
subplot(2,2,2)
plot(WLTC1(:,3)/1000,WLTC1(:,2)*3.6)
ylabel('Speed [km/h]')
title('WLTC1')
grid
subplot(2,2,3)
plot(WLTC1(:,1)/3600,WLTC1(:,4))
ylabel('Altitude [m]')
xlabel('Time [h]')
grid
subplot(2,2,4)
plot(WLTC1(:,3)/1000,WLTC1(:,4))
ylabel('Altitude [m]')
xlabel('Distance [km]')
grid
set(gcf,'Position',[450 100 889 500])

figure(8)
clf
subplot(2,2,1)
plot(WLTC2(:,1)/3600,WLTC2(:,2)*3.6)
ylabel('Speed [km/h]')
title('WLTC2')
grid
subplot(2,2,2)
plot(WLTC2(:,3)/1000,WLTC2(:,2)*3.6)
ylabel('Speed [km/h]')
title('WLTC2')
grid
subplot(2,2,3)
plot(WLTC2(:,1)/3600,WLTC2(:,4))
ylabel('Altitude [m]')
xlabel('Time [h]')
grid
subplot(2,2,4)
plot(WLTC2(:,3)/1000,WLTC2(:,4))
ylabel('Altitude [m]')
xlabel('Distance [km]')
grid
set(gcf,'Position',[450 100 889 500])

figure(9)
clf
subplot(2,2,1)
plot(WLTC3(:,1)/3600,WLTC3(:,2)*3.6)
ylabel('Speed [km/h]')
title('WLTC3')
grid
subplot(2,2,2)
plot(WLTC3(:,3)/1000,WLTC3(:,2)*3.6)
ylabel('Speed [km/h]')
title('WLTC3')
grid
subplot(2,2,3)
plot(WLTC3(:,1)/3600,WLTC3(:,4))
ylabel('Altitude [m]')
xlabel('Time [h]')
grid
subplot(2,2,4)
plot(WLTC3(:,3)/1000,WLTC3(:,4))
ylabel('Altitude [m]')
xlabel('Distance [km]')
grid
set(gcf,'Position',[450 100 889 500])