clear all
close all

kel_vector = [0.3:0.1:0.7];

Pmax = 400000;

for loop1=1:length(kel_vector)
    Pice_max = (1-kel_vector(loop1))*Pmax;
    Pem_max = kel_vector(loop1)*Pmax;
    InitiateTractor;
    sim('Parallel_TractorPlowing')
    FCresult(loop1)=FC(length(FC));
    ElECresult(loop1)=ElEC(length(ElEC));
    Distance(loop1)=DIST(length(DIST));
   
end
    
figure(1), clf
subplot(2,1,1)
yyaxis left
plot(kel_vector,FCresult,'b')
yyaxis right
plot(kel_vector,ElECresult,'r');
xlabel('Relative EM power')
title('Fuel Consumption [Liter/ha] (blue), El Energy Consumption [kWh/ha] (red)')
grid on

subplot(2,1,2)
plot(kel_vector,Distance*10000*Plow_width*Plow_depth/10000)
xlabel('Relative EM power')
title('Covered field area [ha]')
grid