figure(1)
clf
[c,h] = contour(Wice*30/pi,Tice,EtaICE,[0.05:0.05:0.3 0.31 0.32 0.33 0.34],'k-');
clabel(c,h)
hold on

for p=[5000:5000:40000],
    clear t
    w=[10:10:max(Wice)];
    for i=1:length(w);
        if p/w(i)>max(Tice),
            t(i)=nan;
        else
            t(i)=p/w(i);
        end
    end
    plot(w*30/pi,t,'b--')
    I=find(w*30/pi>4500,1);
    text(w(I)*30/pi,t(I),[num2str(p/1000) ' kW'],'Color','blue')
end

xlabel('Motor speed [rpm]')
ylabel('Motor torque [Nm]')
title('Internal Combustion Otto Engine efficiency')