clear all
close all

Batt_vector = [400:100:800]*1000;

for loop1=1:length(Batt_vector)
    Wbatt(loop1)=Batt_vector(loop1);
    Mv(loop1) = Wbatt(loop1)/1000*/0.2; % kg
    InitiateEV;
    sim('GeneralFEVmodel')
    ECresult(loop1)=EC(length(EC));
    Distance(loop1)=DIST(length(DIST));
    dSOC(loop1)=max(max(SOC(:,2))) - min(min(SOC(:,2)));
    
end
    
figure(1), clf
plot(Batt_vector/1000,FCresult);
xlabel('EM power [kW]')
ylabel('FC [l/10km]')
% axis([min(EMpower_vector/1000) max(EMpower_vector/1000) min(BaseRPM_vector) max(BaseRPM_vector) 3.4 3.8])
grid on
% 
% subplot(1,2,2)
% plot(EMpower_vector/1000,dSOC);
% xlabel('EM power [kW]')
% ylabel('SOC swing [%]')
% % axis([min(EMpower_vector/1000) max(EMpower_vector/1000) min(BaseRPM_vector) max(BaseRPM_vector) 50 100])
% grid on
