MaxSpeed = 60*1.609344; % mph to kmph
Dt = 300; % 300 seconds per acceleration/decelleration

AccCycle=zeros(Dt,6);
for i=2:Dt,
    if i<Dt/2,
        AccCycle(i,1)=i; % time
        AccCycle(i,2)=MaxSpeed/3.6; % speed
        AccCycle(i,3)=AccCycle(i-1,1)+MaxSpeed/3.6; % pos
        AccCycle(i,4)=0; % alt
        AccCycle(i,5)=0; % slide in
    else
        AccCycle(i,1)=i;
        AccCycle(i,2)=0;
        AccCycle(i,3)=AccCycle(i-1,1)+MaxSpeed/3.6;
        AccCycle(i,4)=0;
        AccCycle(i,5)=0;
    end
end
    save AccCycle AccCycle
    
    plot ([1:Dt],AccCycle(:,2))
    