clear all
clf
x_tot=250; % [field width]
y_tot=400; % [field length]
pw=3; % [plow width]
v_max = 10/3.6;  % [km/h]

i=1;
x_steps = ceil(x_tot/pw);
y_steps = ceil(y_tot/pw);
x_next = x_tot;
y_next = y_tot;
clear stroke_length

while (x_next>pw)|(y_next>pw)
    if(y_next>pw)
        stroke_length(i)=y_next+pw;
        x_next=max(x_next-pw,0);
        i=i+1;
    else
        y_next=0;
        x_next=0;
    end
    %i=i+1;
    if (x_next>pw);
        stroke_length(i)=x_next+pw;
        y_next = max(y_next-pw,0);
        i=i+1;
    else
        x_next=0;
        y_next=0;
    end
    %i=i+1;
end
% plot(stroke_length)

% ****************** Calculate distance dependent speed vector *******
clear distance distanceII
distance=[0 cumsum(stroke_length)];

distanceII=zeros(3,length(distance)*3-2);
distanceII(1:2,1)=[0 0]';
distanceII(1:2,2)=[pw v_max]';
distanceII(1:2,length(distanceII(1,:))-1)=[max(distance)-pw v_max]';
distanceII(1:2,length(distanceII(1,:)))=[max(distance) 0]';
for i=4:3:length(distanceII)-3,
    distanceII(1:2,i-1)=[distance((i+2)/3)-pw v_max]';
    distanceII(1:2,i)=[distance((i+2)/3) 0]';
    distanceII(1:2,i+1)=[distance((i+2)/3)+pw v_max]';
end
  
% plot(distanceII(1,:))
% hold on
% plot(distance(1,2:length(distance(1,:)))-distance(1,1:length(distance(1,:))-1))

% *************** Calculate time dependent speed vector ***************
clear time
dt=0.1;
time(1)=0;
for i=2:length(distanceII(1,:))
    time(i) = time(i-1) + (distanceII(1,i)-distanceII(1,i-1))/(distanceII(2,i)+distanceII(2,i-1))*2;
end

newtime=[0:dt:max(time)];
tractor(:,1)=newtime';
tractor(:,2) = interp1(time,distanceII(2,:),newtime)';
tractor(:,3) = interp1(time,distanceII(1,:),newtime)';
tractor(:,4) = 0*tractor(:,3);
tractor(:,5) = 0*tractor(:,3);
tractor(:,6) = 0*tractor(:,3);
save plowing tractor

figure(1), clf
subplot(2,1,1)
plot(tractor(:,1),tractor(:,2))
subplot(2,1,2)
plot(tractor(:,1),tractor(:,3))
    
    
    
    
    
    
    
    
    
