clear all

load ..\DriveCycles\nedc;
load ..\DriveCycles\us06;
load ..\DriveCycles\london159;
load ..\DriveCycles\cbr85;
load ..\DriveCycles\Distr1;
load ..\DriveCycles\LongHaul1;
load ..\DriveCycles\LongHaul2;
load ..\DriveCycles\LongHaul3;
load ..\DriveCycles\LongHaul4;

figure(1)
clf
subplot(2,1,1)
plot(nedc(:,3)/1000,nedc(:,2)*3.6)
ylabel('Speed [km/h]')
title('NEDC')
subplot(2,1,2)
plot(nedc(:,3)/1000,nedc(:,4))
ylabel('Altitude [m]')
xlabel('Distance [km]')
grid

figure(2)
clf
subplot(2,1,1)
plot(us06(:,3)/1000,us06(:,2)*3.6)
xlabel('Distance [km]')
ylabel('Speed [km/h]')
title('US06')
subplot(2,1,2)
plot(us06(:,3)/1000,us06(:,4))
ylabel('Altitude [m]')
xlabel('Distance [km]')
grid

figure(3)
clf
subplot(2,1,1)
plot(london159(:,3)/1000,london159(:,2)*3.6)
xlabel('Distance [km]')
ylabel('Speed [km/h]')
title('Bus1')
subplot(2,1,2)
plot(london159(:,3)/1000,london159(:,4))
ylabel('Altitude [m]')
xlabel('Distance [km]')
grid

figure(4)
clf
subplot(2,1,1)
plot(cbr85(:,3)/1000,cbr85(:,2)*3.6)
xlabel('Distance [km]')
ylabel('Speed [km/h]')
title('Bus2')
subplot(2,1,2)
plot(cbr85(:,3)/1000,cbr85(:,4))
ylabel('Altitude [m]')
xlabel('Distance [km]')
grid

figure(5)
clf
subplot(2,1,1)
plot(Distr1(:,3)/1000,Distr1(:,2)*3.6)
xlabel('Distance [km]')
ylabel('Speed [km/h]')
title('Distribution 1')
subplot(2,1,2)
plot(Distr1(:,3)/1000,Distr1(:,4))
ylabel('Altitude [m]')
xlabel('Distance [km]')
grid

figure(6)
clf
subplot(2,1,1)
plot(LongHaul1(:,3)/1000,LongHaul1(:,2)*3.6)
xlabel('Distance [km]')
ylabel('Speed [km/h]')
title('Long Haul 1')
subplot(2,1,2)
plot(LongHaul1(:,3)/1000,LongHaul1(:,4))
ylabel('Altitude [m]')
xlabel('Distance [km]')
grid

figure(7)
clf
subplot(2,1,1)
plot(LongHaul2(:,3)/1000,LongHaul2(:,2)*3.6)
xlabel('Distance [km]')
ylabel('Speed [km/h]')
title('Long Haul 2')
subplot(2,1,2)
plot(LongHaul2(:,3)/1000,LongHaul2(:,4))
ylabel('Altitude [m]')
xlabel('Distance [km]')
grid

figure(8)
clf
subplot(2,1,1)
plot(LongHaul3(:,3)/1000,LongHaul3(:,2)*3.6)
xlabel('Distance [km]')
ylabel('Speed [km/h]')
title('Long Haul 3')
subplot(2,1,2)
plot(LongHaul3(:,3)/1000,LongHaul3(:,4))
ylabel('Altitude [m]')
xlabel('Distance [km]')
grid

figure(9)
clf
subplot(2,1,1)
plot(LongHaul4(:,3)/1000,LongHaul4(:,2)*3.6)
xlabel('Distance [km]')
ylabel('Speed [km/h]')
title('Long Haul 4')
subplot(2,1,2)
plot(LongHaul4(:,3)/1000,LongHaul4(:,4))
ylabel('Altitude [m]')
xlabel('Distance [km]')
grid

